package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum ExamineStatusEnum implements BaseEnum {
    WAIT("WAIT","待审核"),
    FAIL("FAIL","驳回"),
    OK("OK","通过");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static ExamineStatusEnum create(String key) {
        return BaseEnum.keyToEnum(ExamineStatusEnum.class, key);
    }
}
